﻿namespace ConditionalFieldsInObject.ViewModel
{
    using System.Collections.ObjectModel;
    using System.ComponentModel;

    using HierarchicalGrid.Model;

    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private bool showFullAddress;
        private ObservableCollection<Employee> employees;

        public MainWindowViewModel()
        {
            this.Employees = new ObservableCollection<Employee>();
            this.Employees = Service.GetEmployees();
        }

        public ObservableCollection<Employee> Employees
        {
            get
            {
                return this.employees;
            }
            set
            {
                this.employees = value;
                this.OnPropertyChanged("Employees");
            }
        }

        public bool ShowFullAddress
        {
            get
            {
                return this.showFullAddress;
            }
            set
            {
                this.showFullAddress = value;
                this.OnPropertyChanged("ShowFullAddress");
            }
        }

        #region INotifyPropertyChanged Events
        /// <summary>
        /// Property changed events to notifiy the Views that 
        /// a property has changed.
        /// </summary>          
        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}
